﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace testGenerateEntity
{
    public class DataTableData
    {
        public static DataTable GetCustomer(int _rows)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add(new DataColumn("Name", typeof(System.String)));
            dt.Columns.Add(new DataColumn("Age", typeof(System.Int32)));
            dt.Columns.Add(new DataColumn("Sex", typeof(System.String)));
            dt.Columns.Add(new DataColumn("BirthDate", typeof(System.DateTime)));
            Random random = new Random();

            for (int i = 1; i <= _rows; i++)
            {
                DataRow dr = dt.NewRow();
                dr["Name"] = "Andy" + i.ToString();
                dr["Age"] = random.Next(100);
                dr["Sex"] = "Male" + i.ToString();
                dr["BirthDate"] = DateTime.Parse((random.Next(30) + 1950).ToString() + "/1/1");

                dt.Rows.Add(dr);
            }
            
            return dt;

        }
    }
}
